.df-btn {
    background-color: #0075FF;
    color: white;
    display: inline-flex;
    align-items: center;
    gap: 6px;
    padding: 6px 10px;
    border-radius: 6px;
    font-size: 14px;
    font-weight: 700;
    cursor: pointer;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}
.df-btn span:first-child {
    width: 14px;
    height: 14px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    background-color: white;
    font-size: 10px;
    color: #0075FF;
}
.df-btn:hover {
    color: white;
    text-decoration: none;
    box-shadow: rgba(9, 30, 66, 0.25) 0px 4px 8px -2px, rgba(9, 30, 66, 0.08) 0px 0px 0px 1px;
}

.df-blink {
    animation: df-blink-animation 2s infinite;
}

@keyframes df-blink-animation {
    0% {
        opacity: 1;
    }
    30% {
        opacity: 0.3;
    }
    60% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}
.df-sidebar-opener {
    font-weight: 700;
    color: white;
    position: fixed;
    z-index: 99;
    top: calc(50% - 100px);
    right: 0;
    transform-origin: bottom right;
    transform: translateX(5px) translateY(-200%) rotate(270deg);
    border: none;
    box-shadow: none !important;
    padding-bottom: 10px;
    transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    background-color: rgb(0, 117, 255);
    display: flex;
    align-items: center;
    gap: 10px;
}
.df-sidebar-opener svg {
    transform: rotate(270deg);
}
.df-sidebar-opener:active, .df-sidebar-opener:focus, .df-sidebar-opener:hover {
    background-color: rgb(0, 117, 255);
    border: none;
    color: white;
    transform: translateX(2px) translateY(-200%) rotate(270deg);
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 50px;
}

.df-sidebar-close {
    color: rgb(191, 191, 191);
    font-size: 16px;
    position: sticky;
    top: 0;
    cursor: pointer;
    text-decoration: none;
    padding: 0 10px;
    display: inline-block;
    transform: translateX(-10px);
}
.df-sidebar-close:hover {
    color: black;
    text-decoration: none;
}

.df-sidebar {
    padding: 0 25px 15px 25px;
    max-width: 366px;
}

.df-sidebar-wrapper {
    --heading-size: 20px;
    position: fixed;
    right: 0;
    left: auto;
    top: 0;
    z-index: 100;
    background: white;
    height: 100dvh;
    max-height: none;
    overflow-y: auto;
    border-radius: 13px 0 0 13px;
    color: #545454;
    border: none;
    margin: 0 !important;
}
.df-sidebar-wrapper i {
    color: #2A81BA;
}
.df-sidebar-wrapper h3 {
    color: #2A81BA;
    font-weight: 700;
    font-size: var(--heading-size);
    text-transform: capitalize;
}
.df-sidebar-wrapper ol {
    margin-left: 0;
    padding-left: 0;
    counter-reset: item;
    list-style-position: inside;
}
.df-sidebar-wrapper ol ol, .df-sidebar-wrapper ol ul {
    padding-left: 15px;
}
.df-sidebar-wrapper ol > li {
    counter-increment: item;
}
.df-sidebar-wrapper ol > li::marker {
    content: counters(item, ".") ". ";
}
.df-sidebar-wrapper ol:not(ol ol) > li::marker {
    font-size: var(--heading-size);
}
.df-sidebar-wrapper ol > li::marker {
    padding-left: 10px;
    margin-left: 100px;
    color: #2A81BA;
    font-weight: 700;
}
.df-sidebar-wrapper ol > li > h3 {
    display: inline;
}
.df-sidebar-wrapper ol > li > h3 + p {
    margin-top: 8px;
}
.df-sidebar-wrapper ol > li:not(:last-child) {
    margin-bottom: 20px;
}
.df-sidebar-wrapper ul {
    padding-left: 14px;
    list-style: disc;
}

.df-sidebar-wrapper {
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out, overlay 0.3s ease-in-out allow-discrete, display 0.3s ease-in-out allow-discrete;
    transition-delay: 0.2s;
    opacity: 0;
    transform: translateX(100%) scale(0.98);
}
.df-sidebar-wrapper[open] {
    opacity: 1;
    transform: translateX(0) scale(1);
}
@starting-style {
    .df-sidebar-wrapper[open] {
        opacity: 0;
        transform: translateX(100%) scale(0.98);
    }
}
.df-sidebar-wrapper::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
}
.df-sidebar-wrapper[open] + .df-sidebar-opener {
    opacity: 0.3;
    transform: translateX(40px) translateY(-200%) rotate(270deg);
}

body:has(.df-sidebar-wrapper[open]) {
    overflow: hidden;
}
body:has(.df-sidebar-wrapper[open]) .vdo-stories {
    display: none;
}

.df-sidebar-wrapper::backdrop {
    background-color: rgba(0, 0, 0, 0.46);
}
